Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional
Class PropertyFile.Entry.Type

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          org.apache.tools.ant.taskdefs.optional.PropertyFile.Entry.Type

Enclosing class:
  PropertyFile.Entry

public static class PropertyFile.Entry.Type
extends EnumeratedAttribute

Enumerated attribute with the values "int", "date" and "string".

Field Summary
`static int` | `DATE_TYPE`
`static int` | `INTEGER_TYPE`
`static int` | `STRING_TYPE`

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`PropertyFile.Entry.Type()`

Method Summary
`java.lang.String[]` | `getValues()` This is the only method a subclass needs to implement.
`static int` | `toType(java.lang.String type)`

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INTEGER_TYPE

    public static final int INTEGER_TYPE

See Also:
  Constant Field Values

### DATE_TYPE

    public static final int DATE_TYPE

See Also:
  Constant Field Values

### STRING_TYPE

    public static final int STRING_TYPE

See Also:
  Constant Field Values

Constructor Detail

### PropertyFile.Entry.Type

    public PropertyFile.Entry.Type()

Method Detail

### getValues

    public java.lang.String[] getValues()

  Description copied from class: `EnumeratedAttribute`
  This is the only method a subclass needs to implement.

  Specified by:
    `getValues` in class `EnumeratedAttribute`
  Returns:
    an array holding all possible values of the enumeration. The order of elements must be fixed so that `indexOfValue(String)` always return the same index for the same value.

### toType

    public static int toType(java.lang.String type)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.